Index: src/Actions/unittests/Makefile.am
===================================================================
--- src/Actions/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Actions/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -26,4 +26,8 @@
 ACTIONLIBS = \
 	../libMolecuilderUI.la
+if CONDJOBMARKET
+ACTIONLIBS += \
+	../libMolecuilderJobs.la
+endif
 
 # note that DummyUI inherits Dialog which depends on boost/file_system ...
Index: src/Analysis/unittests/Makefile.am
===================================================================
--- src/Analysis/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Analysis/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -30,5 +30,10 @@
 	../libMolecuilderAnalysis.la \
 	../libMolecuilderUI.la \
-	../libMolecuilder.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+ANALYSISLIBS += \
+	../libMolecuilderJobs.la
+endif
+ANALYSISLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
Index: src/Atom/unittests/Makefile.am
===================================================================
--- src/Atom/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Atom/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -25,5 +25,10 @@
 	../libMolecuilderParser.la \
 	../libMolecuilder.la \
-	../libMolecuilderShapes.la \
+	../libMolecuilderShapes.la
+if CONDJOBMARKET
+ATOMTESTLIBS += \
+	../libMolecuilderJobs.la
+endif
+ATOMTESTLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../libMolecuilderRandomNumbers.la \
Index: src/Descriptors/unittests/Makefile.am
===================================================================
--- src/Descriptors/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Descriptors/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -23,5 +23,10 @@
 	../libMolecuilderParser.la \
 	../libMolecuilder.la \
-	../libMolecuilderShapes.la \
+	../libMolecuilderShapes.la
+if CONDJOBMARKET
+DESCRIPTORLIBS += \
+	../libMolecuilderJobs.la
+endif
+DESCRIPTORLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	../libMolecuilderRandomNumbers.la \
Index: src/Filling/unittests/Makefile.am
===================================================================
--- src/Filling/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Filling/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -33,82 +33,51 @@
 noinst_PROGRAMS += $(FILLINGTESTS)
 
-FILLINGLIBS =
+FILLINGLIBS = \
+	../libMolecuilderFilling.la \
+	../libMolecuilderUI.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+FILLINGLIBS += \
+	../libMolecuilderJobs.la
+endif
+FILLINGLIBS += \
+	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
+	${CodePatterns_LIBS} \
+	$(BOOST_LIBS)
 
 ClusterUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/ClusterUnitTest.cpp \
 	../Filling/unittests/ClusterUnitTest.hpp
-ClusterUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+ClusterUnitTest_LDADD = $(FILLINGLIBS)
 
 FillerUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/FillerUnitTest.cpp \
 	../Filling/unittests/FillerUnitTest.hpp
-FillerUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+FillerUnitTest_LDADD = $(FILLINGLIBS)
 
 IsInsideDomain_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsInsideDomain_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsInsideDomain_FillPredicateUnitTest.hpp
-IsInsideDomain_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsInsideDomain_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 IsInsideSurface_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsInsideSurface_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsInsideSurface_FillPredicateUnitTest.hpp
-IsInsideSurface_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsInsideSurface_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 IsValidInDomain_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsValidInDomain_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsValidInDomain_FillPredicateUnitTest.hpp
-IsValidInDomain_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsValidInDomain_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 IsVoidNode_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/IsVoidNode_FillPredicateUnitTest.cpp \
 	../Filling/unittests/IsVoidNode_FillPredicateUnitTest.hpp
-IsVoidNode_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+IsVoidNode_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 Ops_FillPredicateUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	../Filling/unittests/Ops_FillPredicateUnitTest.cpp \
 	../Filling/unittests/Ops_FillPredicateUnitTest.hpp
-Ops_FillPredicateUnitTest_LDADD = \
-	../libMolecuilderFilling.la \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
-	${CodePatterns_LIBS} \
-	$(BOOST_LIBS)
+Ops_FillPredicateUnitTest_LDADD = $(FILLINGLIBS)
 
 
Index: src/Graph/unittests/Makefile.am
===================================================================
--- src/Graph/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Graph/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -21,5 +21,10 @@
 GRAPHLIBS = \
 	../libMolecuilderUI.la \
-	../libMolecuilderGraph.la \
+	../libMolecuilderGraph.la
+if CONDJOBMARKET
+GRAPHLIBS += \
+	../libMolecuilderJobs.la
+endif
+GRAPHLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
Index: src/LinkedCell/unittests/Makefile.am
===================================================================
--- src/LinkedCell/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/LinkedCell/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -38,5 +38,10 @@
 linkedcellUnitTest_LDADD = \
 	../libMolecuilderUI.la \
-	../libMolecuilder.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+linkedcellUnitTest_LDADD += \
+	../libMolecuilderJobs.la
+endif
+linkedcellUnitTest_LDADD += \
 	$(LINKEDCELLLIBS)
 
@@ -72,5 +77,10 @@
 LinkedCell_ModelUnitTest_LDADD = \
 	../libMolecuilderUI.la \
-	../libMolecuilder.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+LinkedCell_ModelUnitTest_LDADD += \
+	../libMolecuilderJobs.la
+endif
+LinkedCell_ModelUnitTest_LDADD += \
 	$(LINKEDCELLLIBS)
 
@@ -82,5 +92,10 @@
 LinkedCell_ViewUnitTest_LDADD = \
 	../libMolecuilderUI.la \
-	../libMolecuilder.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+LinkedCell_ViewUnitTest_LDADD += \
+	../libMolecuilderJobs.la
+endif
+LinkedCell_ViewUnitTest_LDADD += \
 	$(LINKEDCELLLIBS)
 
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -288,5 +288,10 @@
 pyMoleCuilder_la_LDFLAGS = -module -avoid-version -shared $(BOOST_PYTHON_LDFLAGS) 
 pyMoleCuilder_la_LIBADD = \
-	libMolecuilderUI.la \
+	libMolecuilderUI.la
+if CONDJOBMARKET
+pyMoleCuilder_la_LIBADD += \
+	libMolecuilderJobs.la
+endif
+pyMoleCuilder_la_LIBADD += \
 	$(BOOST_PYTHON_LIBS) \
 	${CodePatterns_LIBS} \
@@ -305,5 +310,10 @@
 	cleanUp.hpp
 molecuilder_LDADD = \
-	libMolecuilderUI.la \
+	libMolecuilderUI.la
+if CONDJOBMARKET
+molecuilder_LDADD += \
+	libMolecuilderJobs.la
+endif
+molecuilder_LDADD += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
@@ -327,5 +337,10 @@
 molecuildergui_LDADD = \
 	libMolecuilderQtUI.la \
-	libMolecuilderUI.la \
+	libMolecuilderUI.la
+if CONDJOBMARKET
+molecuildergui_LDADD += \
+	libMolecuilderJobs.la
+endif
+molecuildergui_LDADD += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
Index: src/Parser/unittests/Makefile.am
===================================================================
--- src/Parser/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Parser/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -39,5 +39,10 @@
 
 PARSERLIBS = \
-	../libMolecuilderUI.la \
+	../libMolecuilderUI.la
+if CONDJOBMARKET
+PARSERLIBS += \
+	../libMolecuilderJobs.la
+endif
+PARSERLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS}
Index: src/Tesselation/unittests/Makefile.am
===================================================================
--- src/Tesselation/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/Tesselation/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -23,5 +23,10 @@
 TESSELATIONLIBS = \
 	../libMolecuilderUI.la \
-	../libMolecuilder.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+TESSELATIONLIBS += \
+	../libMolecuilderJobs.la
+endif
+TESSELATIONLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
Index: src/UIElements/CommandLineUI/unittests/Makefile.am
===================================================================
--- src/UIElements/CommandLineUI/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/UIElements/CommandLineUI/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -24,5 +24,10 @@
   ../libMolecuilder.la \
   ../libMolecuilderParser.la \
-  ../libMolecuilderShapes.la \
+  ../libMolecuilderShapes.la
+if CONDJOBMARKET
+CommandLineParser_ActionRegistry_ConsistencyUnitTest_LDADD += \
+	../libMolecuilderJobs.la
+endif
+CommandLineParser_ActionRegistry_ConsistencyUnitTest_LDADD += \
   $(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
   ../libMolecuilderRandomNumbers.la \
Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/UIElements/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -225,9 +225,4 @@
 libMolecuilderUI_la_LIBADD =
 
-if CONDJOBMARKET
-libMolecuilderUI_la_LIBADD += \
-	libMolecuilderJobs.la \
-	${JobMarket_Controller_LIBS}
-endif
 libMolecuilderUI_la_LIBADD += \
 	libMolecuilderActionPrototypes.la \
@@ -246,4 +241,9 @@
 	libMolecuilderElement.la \
 	libMolecuilderRandomNumbers.la
+if CONDJOBMARKET
+libMolecuilderUI_la_LIBADD += \
+	libMolecuilderJobs.la \
+	${JobMarket_Controller_LIBS}
+endif
 libMolecuilderUI_la_LIBADD += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
Index: src/UIElements/Menu/unittests/Makefile.am
===================================================================
--- src/UIElements/Menu/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/UIElements/Menu/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -39,5 +39,10 @@
   ../libMolecuilder.la \
   ../libMolecuilderParser.la \
-  ../libMolecuilderShapes.la \
+  ../libMolecuilderShapes.la
+if CONDJOBMARKET
+MenuDescription_ActionRegistry_ConsistencyUnitTest_LDADD += \
+	../libMolecuilderJobs.la
+endif
+MenuDescription_ActionRegistry_ConsistencyUnitTest_LDADD += \
   $(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
   ../libMolecuilderRandomNumbers.la \
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision b1b413633e908b4e5b1fa1836c215523caad9217)
+++ src/unittests/Makefile.am	(revision eb0d77f90a866276e4c00426ad66892f4ab7583f)
@@ -71,5 +71,10 @@
 	../libMolecuilderFilling.la \
 	../libMolecuilderUI.la \
-	../libMolecuilder.la \
+	../libMolecuilder.la
+if CONDJOBMARKET
+ALLLIBS += \
+	../libMolecuilderJobs.la
+endif
+ALLLIBS += \
 	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la \
 	${CodePatterns_LIBS} \
@@ -170,8 +175,5 @@
 	MoleculeUnitTest.cpp \
 	MoleculeUnitTest.hpp
-MoleculeUnitTest_LDADD = \
-	../libMolecuilderUI.la \
-	../libMolecuilder.la \
-	$(top_builddir)/LinearAlgebra/src/LinearAlgebra/libLinearAlgebra.la
+MoleculeUnitTest_LDADD = $(ALLLIBS)
 
 WorldTimeUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
